Package com.mapd.thrift.server

## Class TMemoryData

- java.lang.Object
- - com.mapd.thrift.server.TMemoryData

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TMemoryData>`, `org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>`, `org.apache.thrift.TSerializable`

    public class TMemoryData
    extends Object
    implements org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>, Serializable, Cloneable, Comparable<TMemoryData>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TMemoryData._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `buffer_epoch`
`List<Long>` `chunk_key`
`boolean` `is_free`
`static Map<TMemoryData._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `num_pages`
`long` `slab`
`int` `start_page`
`int` `touch`

### Constructor Summary

Constructors
`TMemoryData()`
`TMemoryData​(long slab, int start_page, long num_pages, int touch, List<Long> chunk_key, int buffer_epoch, boolean is_free)`
`TMemoryData​(TMemoryData other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToChunk_key​(long elem)`
`void` `clear()`
`int` `compareTo​(TMemoryData other)`
`TMemoryData` `deepCopy()`
`boolean` `equals​(TMemoryData that)`
`boolean` `equals​(Object that)`
`TMemoryData._Fields` `fieldForId​(int fieldId)`
`int` `getBuffer_epoch()`
`List<Long>` `getChunk_key()`
`Iterator<Long>` `getChunk_keyIterator()`
`int` `getChunk_keySize()`
`Object` `getFieldValue​(TMemoryData._Fields field)`
`long` `getNum_pages()`
`long` `getSlab()`
`int` `getStart_page()`
`int` `getTouch()`
`int` `hashCode()`
`boolean` `isIs_free()`
`boolean` `isSet​(TMemoryData._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetBuffer_epoch()` Returns true if field buffer_epoch is set (has been assigned a value) and false otherwise
`boolean` `isSetChunk_key()` Returns true if field chunk_key is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_free()` Returns true if field is_free is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_pages()` Returns true if field num_pages is set (has been assigned a value) and false otherwise
`boolean` `isSetSlab()` Returns true if field slab is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_page()` Returns true if field start_page is set (has been assigned a value) and false otherwise
`boolean` `isSetTouch()` Returns true if field touch is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TMemoryData` `setBuffer_epoch​(int buffer_epoch)`
`void` `setBuffer_epochIsSet​(boolean value)`
`TMemoryData` `setChunk_key​(List<Long> chunk_key)`
`void` `setChunk_keyIsSet​(boolean value)`
`void` `setFieldValue​(TMemoryData._Fields field, Object value)`
`TMemoryData` `setIs_free​(boolean is_free)`
`void` `setIs_freeIsSet​(boolean value)`
`TMemoryData` `setNum_pages​(long num_pages)`
`void` `setNum_pagesIsSet​(boolean value)`
`TMemoryData` `setSlab​(long slab)`
`void` `setSlabIsSet​(boolean value)`
`TMemoryData` `setStart_page​(int start_page)`
`void` `setStart_pageIsSet​(boolean value)`
`TMemoryData` `setTouch​(int touch)`
`void` `setTouchIsSet​(boolean value)`
`String` `toString()`
`void` `unsetBuffer_epoch()`
`void` `unsetChunk_key()`
`void` `unsetIs_free()`
`void` `unsetNum_pages()`
`void` `unsetSlab()`
`void` `unsetStart_page()`
`void` `unsetTouch()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### slab

    public long slab

#### start_page

    public int start_page

#### num_pages

    public long num_pages

#### touch

    public int touch

#### chunk_key

    public List<Long> chunk_key

#### buffer_epoch

    public int buffer_epoch

#### is_free

    public boolean is_free

#### metaDataMap

    public static final Map<TMemoryData._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TMemoryData

    public TMemoryData()

#### TMemoryData

    public TMemoryData​(long slab,
                       int start_page,
                       long num_pages,
                       int touch,
                       List<Long> chunk_key,
                       int buffer_epoch,
                       boolean is_free)

#### TMemoryData

    public TMemoryData​(TMemoryData other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TMemoryData deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>`

#### getSlab

    public long getSlab()

#### setSlab

    public TMemoryData setSlab​(long slab)

#### unsetSlab

    public void unsetSlab()

#### isSetSlab

    public boolean isSetSlab()

Returns true if field slab is set (has been assigned a value) and false otherwise

#### setSlabIsSet

    public void setSlabIsSet​(boolean value)

#### getStart_page

    public int getStart_page()

#### setStart_page

    public TMemoryData setStart_page​(int start_page)

#### unsetStart_page

    public void unsetStart_page()

#### isSetStart_page

    public boolean isSetStart_page()

Returns true if field start_page is set (has been assigned a value) and false otherwise

#### setStart_pageIsSet

    public void setStart_pageIsSet​(boolean value)

#### getNum_pages

    public long getNum_pages()

#### setNum_pages

    public TMemoryData setNum_pages​(long num_pages)

#### unsetNum_pages

    public void unsetNum_pages()

#### isSetNum_pages

    public boolean isSetNum_pages()

Returns true if field num_pages is set (has been assigned a value) and false otherwise

#### setNum_pagesIsSet

    public void setNum_pagesIsSet​(boolean value)

#### getTouch

    public int getTouch()

#### setTouch

    public TMemoryData setTouch​(int touch)

#### unsetTouch

    public void unsetTouch()

#### isSetTouch

    public boolean isSetTouch()

Returns true if field touch is set (has been assigned a value) and false otherwise

#### setTouchIsSet

    public void setTouchIsSet​(boolean value)

#### getChunk_keySize

    public int getChunk_keySize()

#### getChunk_keyIterator

    public Iterator<Long> getChunk_keyIterator()

#### addToChunk_key

    public void addToChunk_key​(long elem)

#### getChunk_key

    public List<Long> getChunk_key()

#### setChunk_key

    public TMemoryData setChunk_key​(List<Long> chunk_key)

#### unsetChunk_key

    public void unsetChunk_key()

#### isSetChunk_key

    public boolean isSetChunk_key()

Returns true if field chunk_key is set (has been assigned a value) and false otherwise

#### setChunk_keyIsSet

    public void setChunk_keyIsSet​(boolean value)

#### getBuffer_epoch

    public int getBuffer_epoch()

#### setBuffer_epoch

    public TMemoryData setBuffer_epoch​(int buffer_epoch)

#### unsetBuffer_epoch

    public void unsetBuffer_epoch()

#### isSetBuffer_epoch

    public boolean isSetBuffer_epoch()

Returns true if field buffer_epoch is set (has been assigned a value) and false otherwise

#### setBuffer_epochIsSet

    public void setBuffer_epochIsSet​(boolean value)

#### isIs_free

    public boolean isIs_free()

#### setIs_free

    public TMemoryData setIs_free​(boolean is_free)

#### unsetIs_free

    public void unsetIs_free()

#### isSetIs_free

    public boolean isSetIs_free()

Returns true if field is_free is set (has been assigned a value) and false otherwise

#### setIs_freeIsSet

    public void setIs_freeIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TMemoryData._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>`

#### getFieldValue

    public Object getFieldValue​(TMemoryData._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>`

#### isSet

    public boolean isSet​(TMemoryData._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TMemoryData that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TMemoryData other)

Specified by:
  `compareTo` in interface `Comparable<TMemoryData>`

#### fieldForId

    public TMemoryData._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TMemoryData,​TMemoryData._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`